Method: networks.orders.batchApproveAndOverbook

Approves and overbooks a list of Order objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/orders:batchApproveAndOverbook

Path parameters

Parameters
parent

string

Required. The parent, which owns this collection of Orders. Format: networks/{networkCode}

Request body

The request body contains data with the following structure:

JSON representation
{
  "names": [
    string
  ],
  "skipInventoryCheck": boolean
}
Fields
names[]

string

Required. The resource names of the orders to approve and overbook. Format: networks/{networkCode}/orders/{orderId}

skipInventoryCheck

boolean

Optional. Indicates whether the inventory check should be skipped when performing this action.

Response body

If successful, the response body is empty.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.